<?php 
namespace Common\Taglib;
class questionview{
	 public function run($opt){
		$id=intval($opt['id']);
		$field=trim($opt['field']);
		$question=D('Question');
		$list=$question->get_question_one($id);
		$question->edit_click($list['id']);//更新问题点击次数
		D('Answer')->edit_click($list['id']);//更新答案点击次数
		$list['describe']=uu_strip_tags($list['describe']);
		$list['addtime_str']=daterange($list['addtime']);
		$user=D('User')->get_user_one($list['uid']);//获取用户名
		$list['username']=$user['username'];
		$list['userurl']=D('User')->user_url($list['uid']);//用户名链接
		$list['tag']=D('QuestionTag')->get_tag_qid($list['id']);//获取标签
		$list['img']=D('QuestionImg')->get_img_qid($list['id']);//获取图片
		$list['supp']=D('QuestionSupp')->get_question_supp($list['id'],$list['uid']);//获取问题补充
		$task=D('Task')->get_task_one(11);//查找任务积分规定，答案被采纳获取的积分
		$list['sys_reply_gold']=intval($task['gold']);//系统奖励积分
		$list['sys_reply_exp']=intval($task['exp']);//系统奖励经验
		
		$list['is_reply']=0;
		$uid=session('uu.uid');
		//判断是否回答过
		if (!empty($uid))
		{
			$info=D('Answer')->get_answer_one($id,$uid);
			if (!empty($info)){
				$asked=D('AnswerReply')->get_answer_reply($info['id']);
				if (!empty($asked))//如果有追问
				{
				$info['asked']=$asked;
				}
				$info['content']=uu_strip_tags($info['content']);
			$list['is_reply']=1;//已经回答过
			$list['my_reply']=$info;
			}
		}
		$list['follow_count']=D('FollowQuestion')->get_follow_count($id);
		//是否关注过
		$list['is_follow']=0;
		if (!empty($uid))
		{
			$chenk=D('FollowQuestion')->chenk_follow_question($uid,$id);
			if ($chenk){
				$list['is_follow']=1;
			}
		}
		$list['favorites_count']=D('UserFavorites')->get_favorites_count(1,$id);
		//是否收藏过
		$list['is_favorites']=0;
		if (!empty($uid))
		{
			$chenk=D('UserFavorites')->chenk_favorites($uid,$id);
			if ($chenk){
				$list['is_favorites']=1;
			}
		}
		
		return $list;
	  }
	 
	 
}
?>